# MySQL-Front Dump 2.2
#
# Host: localhost   Database: sema
#--------------------------------------------------------
# Server version 3.23.49-nt


#
# Table structure for table 'access_rule'
#

DROP TABLE IF EXISTS access_rule;
CREATE TABLE `access_rule` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `mask` varchar(255) NOT NULL default ''
) TYPE=MyISAM;



#
# Dumping data for table 'access_rule'
#
INSERT INTO access_rule VALUES("2","1002","RW123I");
INSERT INTO access_rule VALUES("1","1002","RW123I");
INSERT INTO access_rule VALUES("4","1002","RW123I");
INSERT INTO access_rule VALUES("3","1002","RWI");
INSERT INTO access_rule VALUES("7","1002","RW123I");
INSERT INTO access_rule VALUES("1","1001","RW12345I");
INSERT INTO access_rule VALUES("2","1001","RW12345I");
INSERT INTO access_rule VALUES("3","1001","RWI");
INSERT INTO access_rule VALUES("4","1001","RW12345I");
INSERT INTO access_rule VALUES("7","1001","RW12345I");
INSERT INTO access_rule VALUES("1","1003","RW1E");
INSERT INTO access_rule VALUES("2","1003","RW1E");
INSERT INTO access_rule VALUES("3","1003","RW1E");
INSERT INTO access_rule VALUES("4","1003","RW1E");
INSERT INTO access_rule VALUES("7","1003","R1E");
INSERT INTO access_rule VALUES("1004","1001","RW12345IE");
INSERT INTO access_rule VALUES("1004","1002","R12I");
INSERT INTO access_rule VALUES("1004","1003","R1E");
INSERT INTO access_rule VALUES("1012","1001","RW12345IE");
INSERT INTO access_rule VALUES("1012","1002","R12I");
INSERT INTO access_rule VALUES("1012","1003","R1E");


#
# Table structure for table 'chain'
#

DROP TABLE IF EXISTS chain;
CREATE TABLE `chain` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `chain` varchar(255) NOT NULL default '',
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'chain'
#
INSERT INTO chain VALUES("1","1:worker;2:owner;3:manager;","Internal task");
INSERT INTO chain VALUES("2","1:worker;2:owner;3:manager;4:customer;","Public task");


#
# Table structure for table 'contact'
#

DROP TABLE IF EXISTS contact;
CREATE TABLE `contact` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `nick_name` varchar(255) NOT NULL default '',
  `first_name` varchar(255) NOT NULL default '',
  `middle_name` varchar(255) NOT NULL default '',
  `last_name` varchar(255) NOT NULL default '',
  `work_place` varchar(255) NOT NULL default '',
  `is_group` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact'
#
INSERT INTO contact VALUES("1000","root","root","root","root","PushOk","0");
INSERT INTO contact VALUES("1001","manager","manager","manager","manager","PushOk","0");
INSERT INTO contact VALUES("1002","developer","developer","developer","developer","PushOk","0");
INSERT INTO contact VALUES("1003","client","client","client","client","PushOk","0");


#
# Table structure for table 'contact_address'
#

DROP TABLE IF EXISTS contact_address;
CREATE TABLE `contact_address` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `address` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_address'
#


#
# Table structure for table 'contact_email'
#

DROP TABLE IF EXISTS contact_email;
CREATE TABLE `contact_email` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_email'
#


#
# Table structure for table 'contact_phone'
#

DROP TABLE IF EXISTS contact_phone;
CREATE TABLE `contact_phone` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `phone` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_phone'
#


#
# Table structure for table 'contact_user'
#

DROP TABLE IF EXISTS contact_user;
CREATE TABLE `contact_user` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `login` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `flags` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_user'
#
INSERT INTO contact_user VALUES("1000","root","root","root@pushok.com","R");
INSERT INTO contact_user VALUES("1001","manager","manager","manager@pushok.com","I");
INSERT INTO contact_user VALUES("1002","developer","developer","developer@pushok.com","I");
INSERT INTO contact_user VALUES("1003","client","client","client@pushok.com","E");


#
# Table structure for table 'contact_user_prefs'
#

DROP TABLE IF EXISTS contact_user_prefs;
CREATE TABLE `contact_user_prefs` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `_key` varchar(255) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_user_prefs'
#


#
# Table structure for table 'document'
#

DROP TABLE IF EXISTS document;
CREATE TABLE `document` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `content` text NOT NULL,
  `idowner` bigint(1) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `version` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'document'
#


#
# Table structure for table 'document_chain'
#

DROP TABLE IF EXISTS document_chain;
CREATE TABLE `document_chain` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idchain` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'document_chain'
#


#
# Table structure for table 'file'
#

DROP TABLE IF EXISTS file;
CREATE TABLE `file` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `data` longtext NOT NULL,
  `idowner` bigint(1) unsigned NOT NULL default '0',
  `type` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'file'
#


#
# Table structure for table 'history'
#

DROP TABLE IF EXISTS history;
CREATE TABLE `history` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `event` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `idobject` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'history'
#
INSERT INTO history VALUES("1","Контакт создан.","2005-01-13 13:54:06","1000","1001");
INSERT INTO history VALUES("2","Контакт создан.","2005-01-13 13:54:40","1000","1002");
INSERT INTO history VALUES("3","Контакт создан.","2005-01-13 13:55:35","1000","1003");
INSERT INTO history VALUES("4","Проект создан.","2005-01-13 13:58:19","1000","1004");
INSERT INTO history VALUES("5","Задача создана.","2005-01-13 14:01:34","1000","1005");
INSERT INTO history VALUES("6","Проект создан.","2005-01-13 14:04:03","1000","1006");
INSERT INTO history VALUES("7","Замечание создано.","2005-01-13 14:06:38","1000","1007");
INSERT INTO history VALUES("8","Задача создана.","2005-01-13 14:07:44","1000","1008");
INSERT INTO history VALUES("9","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RW5I","2005-01-13 14:17:59","1000","1002");
INSERT INTO history VALUES("10","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RW5I","2005-01-13 14:22:06","1000","1002");
INSERT INTO history VALUES("11","Задача создана.","2005-01-13 15:08:29","1002","1009");
INSERT INTO history VALUES("12","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :I","2005-01-13 15:17:20","1000","1001");
INSERT INTO history VALUES("13","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RWE","2005-01-13 15:18:07","1000","1001");
INSERT INTO history VALUES("14","Правило для контакта удалено. Контакт :\'developer d. d.\'","2005-01-13 15:31:59","1000","1002");
INSERT INTO history VALUES("15","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RWI","2005-01-13 15:32:12","1000","1002");
INSERT INTO history VALUES("16","Контакт изменен.","2005-01-13 16:29:43","1000","1002");
INSERT INTO history VALUES("17","Контакт изменен.","2005-01-13 16:30:01","1000","1002");
INSERT INTO history VALUES("18","Контакт создан.","2005-01-13 16:32:24","1000","1010");
INSERT INTO history VALUES("19","Контакт изменен.","2005-01-13 16:37:41","1002","1002");
INSERT INTO history VALUES("20","Контакт изменен.","2005-01-13 16:37:44","1002","1002");
INSERT INTO history VALUES("21","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW123I","2005-01-13 16:44:27","1000","1001");
INSERT INTO history VALUES("22","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW123I","2005-01-13 16:44:30","1000","1001");
INSERT INTO history VALUES("23","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RWI","2005-01-13 16:44:39","1000","1001");
INSERT INTO history VALUES("24","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW123I","2005-01-13 16:44:43","1000","1001");
INSERT INTO history VALUES("25","Правило для контакта удалено. Контакт :\'manager m. m.\'","2005-01-13 16:45:00","1000","1001");
INSERT INTO history VALUES("26","Правило для контакта удалено. Контакт :\'manager m. m.\'","2005-01-13 16:45:01","1000","1001");
INSERT INTO history VALUES("27","Правило для контакта удалено. Контакт :\'manager m. m.\'","2005-01-13 16:45:02","1000","1001");
INSERT INTO history VALUES("28","Правило для контакта удалено. Контакт :\'manager m. m.\'","2005-01-13 16:45:03","1000","1001");
INSERT INTO history VALUES("29","Правило для контакта удалено. Контакт :\'developer d. d.\'","2005-01-13 16:45:11","1000","1002");
INSERT INTO history VALUES("30","Правило для контакта удалено. Контакт :\'developer d. d.\'","2005-01-13 16:45:12","1000","1002");
INSERT INTO history VALUES("31","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RW123I","2005-01-13 16:45:15","1000","1002");
INSERT INTO history VALUES("32","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RW123I","2005-01-13 16:45:18","1000","1002");
INSERT INTO history VALUES("33","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RWI","2005-01-13 16:45:26","1000","1002");
INSERT INTO history VALUES("34","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RW123I","2005-01-13 16:45:30","1000","1002");
INSERT INTO history VALUES("35","Правило для контакта создано. Контакт :\'developer d. d.\' Маска :RW123I","2005-01-13 16:45:34","1000","1002");
INSERT INTO history VALUES("36","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW12345I","2005-01-13 16:45:53","1000","1001");
INSERT INTO history VALUES("37","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW12345I","2005-01-13 16:45:55","1000","1001");
INSERT INTO history VALUES("38","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW12345I","2005-01-13 16:45:59","1000","1001");
INSERT INTO history VALUES("39","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW12345I","2005-01-13 16:46:04","1000","1001");
INSERT INTO history VALUES("40","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RW12345I","2005-01-13 16:46:09","1000","1001");
INSERT INTO history VALUES("41","Правило для контакта удалено. Контакт :\'manager m. m.\'","2005-01-13 16:46:11","1000","1001");
INSERT INTO history VALUES("42","Правило для контакта создано. Контакт :\'manager m. m.\' Маска :RWI","2005-01-13 16:46:17","1000","1001");
INSERT INTO history VALUES("43","Правило для контакта создано. Контакт :\'client c. c.\' Маска :RW1E","2005-01-13 16:53:15","1000","1003");
INSERT INTO history VALUES("44","Правило для контакта создано. Контакт :\'client c. c.\' Маска :RW1E","2005-01-13 16:53:19","1000","1003");
INSERT INTO history VALUES("45","Правило для контакта создано. Контакт :\'client c. c.\' Маска :RW1E","2005-01-13 16:53:22","1000","1003");
INSERT INTO history VALUES("46","Правило для контакта создано. Контакт :\'client c. c.\' Маска :RW1E","2005-01-13 16:53:25","1000","1003");
INSERT INTO history VALUES("47","Правило для контакта создано. Контакт :\'client c. c.\' Маска :RW1E","2005-01-13 16:53:29","1000","1003");
INSERT INTO history VALUES("48","Записка создана.","2005-01-13 16:54:31","1001","1010");
INSERT INTO history VALUES("49","Роль в проекте создана. Контакт :\'manager m. m.\' Маска :\'RW12345IE\'","2005-01-13 17:01:10","1000","1004");
INSERT INTO history VALUES("50","Роль в проекте создана. Контакт :\'developer d. d.\' Маска :\'R12I\'","2005-01-13 17:01:16","1000","1004");
INSERT INTO history VALUES("51","Роль в проекте создана. Контакт :\'client c. c.\' Маска :\'R1E\'","2005-01-13 17:02:05","1000","1004");
INSERT INTO history VALUES("52","Роль в проекте удалена. Контакт :\'client c. c.\'","2005-01-13 18:45:23","1000","1004");
INSERT INTO history VALUES("53","Роль в проекте создана. Контакт :\'client c. c.\' Маска :\'R1E\'","2005-01-13 18:45:28","1000","1004");
INSERT INTO history VALUES("54","Роль в проекте удалена. Контакт :\'client c. c.\'","2005-01-14 12:45:48","1000","1004");
INSERT INTO history VALUES("55","Роль в проекте создана. Контакт :\'client c. c.\' Маска :\'R1E\'","2005-01-14 12:46:10","1000","1004");
INSERT INTO history VALUES("56","Замечание создано.","2005-01-14 12:56:03","1003","1011");
INSERT INTO history VALUES("57","Записка изменена.","2005-01-17 19:57:28","1001","1010");
INSERT INTO history VALUES("58","Проект изменен.","2005-07-13 15:17:39","1000","1004");
INSERT INTO history VALUES("59","Проект изменен.","2005-07-13 15:18:02","1000","1004");
INSERT INTO history VALUES("60","Проект создан.","2005-07-13 15:20:21","1001","1012");
INSERT INTO history VALUES("61","Проект изменен.","2005-07-13 15:20:45","1001","1012");
INSERT INTO history VALUES("62","Роль в проекте создана. Контакт :\'manager m. m.\' Маска :\'RW12345IE\'","2005-07-13 15:22:33","1001","1012");
INSERT INTO history VALUES("63","Роль в проекте создана. Контакт :\'developer d. d.\' Маска :\'R12I\'","2005-07-13 15:22:38","1001","1012");
INSERT INTO history VALUES("64","Роль в проекте создана. Контакт :\'client c. c.\' Маска :\'R1E\'","2005-07-13 15:22:44","1001","1012");


#
# Table structure for table 'issue'
#

DROP TABLE IF EXISTS issue;
CREATE TABLE `issue` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `creation_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `modification_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `idresponsible` bigint(1) unsigned NOT NULL default '0',
  `idworker` bigint(1) unsigned NOT NULL default '0',
  `priority` tinyint(1) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `status2` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'issue'
#
INSERT INTO issue VALUES("1007","2005-01-13 14:06:38","2005-01-13 14:06:38","1001","1002","2","1","1");
INSERT INTO issue VALUES("1011","2005-01-14 12:56:03","2005-01-14 12:56:03","1000","1000","1","1","1");


#
# Table structure for table 'issue_content'
#

DROP TABLE IF EXISTS issue_content;
CREATE TABLE `issue_content` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idissue` bigint(1) unsigned NOT NULL default '0',
  `text` text NOT NULL,
  `files` varchar(255) NOT NULL default '',
  `idcreator` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'issue_content'
#
INSERT INTO issue_content VALUES("1","1007","Don\\\'t wait with it!","","1000");
INSERT INTO issue_content VALUES("2","1011","does it works?","","1003");


#
# Table structure for table 'note'
#

DROP TABLE IF EXISTS note;
CREATE TABLE `note` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `body` longtext,
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'note'
#
INSERT INTO note VALUES("1010","1. Check for new code.\r\n2. Check bug in it.\r\n3. Finish project.\r\n\r\nWhell, this is how object __1008 can be inserted anywere");


#
# Table structure for table 'notify_rule'
#

DROP TABLE IF EXISTS notify_rule;
CREATE TABLE `notify_rule` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `details_level` varchar(255) NOT NULL default '',
  `interest_level` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'notify_rule'
#
INSERT INTO notify_rule VALUES("1","c","p");
INSERT INTO notify_rule VALUES("2","c","p");
INSERT INTO notify_rule VALUES("3","c","p");
INSERT INTO notify_rule VALUES("4","c","p");


#
# Table structure for table 'object'
#

DROP TABLE IF EXISTS object;
CREATE TABLE `object` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `type` tinyint(1) unsigned NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `parent_object` bigint(1) unsigned NOT NULL default '0',
  `access_rule` bigint(20) unsigned NOT NULL default '0',
  `idcreator` bigint(1) unsigned NOT NULL default '0',
  `flags` varchar(10) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'object'
#
INSERT INTO object VALUES("1000","3","root","0","1000","1000","I");
INSERT INTO object VALUES("1001","3","manager m. m.","0","1001","1001","I");
INSERT INTO object VALUES("1002","3","developer d. d.","0","1002","1002","I");
INSERT INTO object VALUES("1003","3","client c. c.","0","1003","1003","E");
INSERT INTO object VALUES("1004","1","This is test project","0","1004","1000","E");
INSERT INTO object VALUES("1005","2","Test SEMA","1004","1004","1000","I");
INSERT INTO object VALUES("1006","1","Add-on","0","1006","1000","I");
INSERT INTO object VALUES("1007","4","Test all functionality","1004","1004","1000","I");
INSERT INTO object VALUES("1008","2","Check developer\\\'s work","1004","1004","1000","I");
INSERT INTO object VALUES("1009","2","Test of ability","0","1009","1002","I");
INSERT INTO object VALUES("1010","7","Job","0","1010","1001","I");
INSERT INTO object VALUES("1011","4","works?","1004","1004","1003","E");
INSERT INTO object VALUES("1012","1","This is another project","0","1012","1001","I");


#
# Table structure for table 'project'
#

DROP TABLE IF EXISTS project;
CREATE TABLE `project` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `time_type` tinyint(1) NOT NULL default '0',
  `bdate` date NOT NULL default '0000-00-00',
  `edate` date NOT NULL default '0000-00-00',
  `status` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'project'
#
INSERT INTO project VALUES("1004","for test only","1","2005-01-13","2006-01-13","2");
INSERT INTO project VALUES("1006","SEMA\\\'s improvements","2","0000-00-00","0000-00-00","1");
INSERT INTO project VALUES("1012","Just do something","1","0000-00-00","0000-00-00","2");


#
# Table structure for table 'project_role'
#

DROP TABLE IF EXISTS project_role;
CREATE TABLE `project_role` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idproject` bigint(1) unsigned NOT NULL default '0',
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `role` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'project_role'
#
INSERT INTO project_role VALUES("1","1004","1001","1");
INSERT INTO project_role VALUES("2","1004","1002","2");
INSERT INTO project_role VALUES("5","1004","1003","3");
INSERT INTO project_role VALUES("6","1012","1001","1");
INSERT INTO project_role VALUES("7","1012","1002","2");
INSERT INTO project_role VALUES("8","1012","1003","3");


#
# Table structure for table 'task'
#

DROP TABLE IF EXISTS task;
CREATE TABLE `task` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `time_type` tinyint(1) unsigned NOT NULL default '0',
  `bdate` date NOT NULL default '0000-00-00',
  `edate` date NOT NULL default '0000-00-00',
  `work_time` bigint(1) unsigned NOT NULL default '0',
  `idowner` bigint(1) unsigned NOT NULL default '0',
  `idworker` bigint(1) unsigned NOT NULL default '0',
  `idresponsible` bigint(1) unsigned NOT NULL default '0',
  `iddoc_chain` bigint(1) unsigned NOT NULL default '0',
  `priority` tinyint(1) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `flags` bigint(20) unsigned NOT NULL default '0',
  `chain_state` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'task'
#
INSERT INTO task VALUES("1005","1","2005-01-13","2005-02-13","172","1000","1002","1001","1","2","2","0","1");
INSERT INTO task VALUES("1008","2","0000-00-00","0000-00-00","0","1000","1001","1003","1","2","2","0","1");
INSERT INTO task VALUES("1009","1","2005-01-13","2005-02-13","172","1002","1002","1002","1","2","2","0","1");


#
# Table structure for table 'task_content'
#

DROP TABLE IF EXISTS task_content;
CREATE TABLE `task_content` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idtask` bigint(1) unsigned NOT NULL default '0',
  `text` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'task_content'
#
INSERT INTO task_content VALUES("1","1005","Test ability");
INSERT INTO task_content VALUES("2","1008","He can do smth wrong!");
INSERT INTO task_content VALUES("3","1009","my own task");


#
# Table structure for table 'time_track'
#

DROP TABLE IF EXISTS time_track;
CREATE TABLE `time_track` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `work_volume` float NOT NULL default '0',
  `idworker` bigint(1) unsigned NOT NULL default '0',
  `start` date NOT NULL default '0000-00-00',
  `end` date NOT NULL default '0000-00-00',
  `idparent` bigint(1) unsigned NOT NULL default '0',
  `title` varchar(255) default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'time_track'
#


#
# Table structure for table 'timeb_timeb'
#

DROP TABLE IF EXISTS timeb_timeb;
CREATE TABLE `timeb_timeb` (
  `id` bigint(3) unsigned NOT NULL auto_increment,
  `idworker` bigint(20) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `type` enum('Normal','Ill','Holiday','Shortday') NOT NULL default 'Normal',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'timeb_timeb'
#


#
# Table structure for table 'timeb_track'
#

DROP TABLE IF EXISTS timeb_track;
CREATE TABLE `timeb_track` (
  `id` bigint(3) unsigned NOT NULL auto_increment,
  `idworker` bigint(20) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `start` time NOT NULL default '00:00:00',
  `end` time NOT NULL default '00:00:00',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'timeb_track'
#
